<?xml version="1.0"  encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

	<xsl:template match = "/">
		<xsl:element name ="html">
			<xsl:element name ="head">
				<xsl:element name ="title">
					<xsl:value-of select="/gsml/scene/@name" />  <!-- シーン名をtitleとする。-->
					<xsl:text> - 橘花</xsl:text>
				</xsl:element>
				<link rel = "stylesheet" href="kikka/css_1.1_default.css" />
			</xsl:element>
			<xsl:element name ="body">
				<xsl:apply-templates select="gsml" />
				<xsl:element name ="a">
					<xsl:attribute name ="href">
						javascript:history.back();
					</xsl:attribute>
				<xsl:text>戻る</xsl:text>
				</xsl:element>
				<hr />
				<xsl:element name ="address">
					<xsl:text>橘花 by 風林火山</xsl:text>
				</xsl:element>
			</xsl:element>
		</xsl:element>
	</xsl:template>

	<xsl:template match="gsml">
		<xsl:apply-templates select="scene" />
		<xsl:apply-templates select="if" />
		<xsl:apply-templates select="loop" />
	</xsl:template>

	<xsl:template match="scene">
		<xsl:element name ="h1">
			<xsl:value-of select="/gsml/scene/@name" />
		</xsl:element>
		<xsl:apply-templates select="cut" />
		<br />
	</xsl:template>


	<xsl:template match="cut">
		<!-- 該当するimageを取得する。重ね合わせはここで実現。 -->
		<!-- テクスト全体をマッチ。 -->
		<!-- セレクションのalternativeをマッチ。 ifとは関連付かない。-->
		<xsl:apply-templates select="imagelist|text|selection/alternative" />
	</xsl:template>
	
	<xsl:template match="imagelist">
		<xsl:element name="div">
			<xsl:apply-templates select="image" />
			<!-- 背景を暗くするにはコメントを入れ替える。 -->
			<!-- <img src='kikka/bg_darkgray.gif' width='1024' height='768' /> -->
			<img src='kikka/bg_darkgray.gif' width='0' height='768' />
		</xsl:element>
	</xsl:template>

	<xsl:template match="image">
		<!--
		<xsl:element name="img">
			<xsl:attribute name="src">
				<xsl:value-of select="@file" />
			</xsl:attribute>
		</xsl:element>
		-->
		<!-- 空要素を <div></div>ではなく、強引に<div />にする。-->
		<xsl:text disable-output-escaping="yes"><![CDATA[<div style = 'background:url("]]></xsl:text>
		<xsl:value-of select="@file" />
		<xsl:text disable-output-escaping="yes"><![CDATA[");]]></xsl:text>
		<xsl:text disable-output-escaping="yes"><![CDATA[background-repeat:no-repeat;]]></xsl:text>
		<xsl:text disable-output-escaping="yes"><![CDATA[background-position:]]></xsl:text>
		<xsl:value-of select="@position" />
		<xsl:text disable-output-escaping="yes"><![CDATA[ top]]></xsl:text>
		<xsl:text disable-output-escaping="yes"><![CDATA[;]]></xsl:text>
		<xsl:text disable-output-escaping="yes"><![CDATA[' />]]></xsl:text>
	</xsl:template>
	
	<!-- 該当するテクストを取得する。 -->
	<xsl:template match="text">
		<xsl:element name ="p">
			<!-- 該当するテクストを取得する。 -->
			<xsl:value-of select="."/>
		</xsl:element>
	</xsl:template>

	<!-- 該当するセレクションのalternativeを取得する。ifとは関連付かない。 -->
	<xsl:template match="selection/alternative">
		<xsl:element name ="p">
			<!-- 該当するテクストを取得する。 -->
			<xsl:value-of select="."/>
		</xsl:element>
	</xsl:template>

	<xsl:template match="if">
		<xsl:element name ="p">
			<xsl:element name ="a">
				<xsl:attribute name ="href">
					<xsl:value-of select="@gsmlFile" />
				</xsl:attribute>
				<xsl:value-of select="@gsmlFile" />
			</xsl:element>
		</xsl:element>
	</xsl:template>

	<xsl:template match="loop">
		<xsl:element name ="p">
			<xsl:element name ="a">
				<xsl:attribute name ="href">
					<xsl:value-of select="@gsmlFile" />
				</xsl:attribute>
				<xsl:value-of select="@gsmlFile" />
			</xsl:element>
		</xsl:element>
	</xsl:template>

</xsl:stylesheet>
